Bug 192497 - Fix build on 64bit ARM with arm64 SYSTEM_PROCESSOR
Summary: Fix build on 64bit ARM with arm64 SYSTEM_PROCESSOR
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CMake (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-07 04:53 PST by Lucas Stach
Modified: 2018-12-19 07:37 PST (History)
5 users (show)

See Also:


Attachments
Suggested patch to fix ARM64 build (1.00 KB, patch)
2018-12-07 04:53 PST, Lucas Stach
no flags Details | Formatted Diff | Diff
Patch (1.45 KB, patch)
2018-12-07 05:22 PST, Lucas Stach
no flags Details | Formatted Diff | Diff
Patch (1.35 KB, patch)
2018-12-18 11:56 PST, Don Olmstead
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews123 for ios-simulator-wk2 (2.52 MB, application/zip)
2018-12-18 13:45 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Stach 2018-12-07 04:53:48 PST
Created attachment 356802 [details]
Suggested patch to fix ARM64 build

Android and some embedded Linux build systems use arm64 instead of aarch64 as the CMAKE_HOST_PROCESSOR. This patch fixes the JIT build in this scenario.
Comment 1 Philippe Normand 2018-12-07 05:03:26 PST
Thanks for the patch! (Unfortunately) a ChangeLog is required though, the contributor workflow is quite well explained in https://webkit.org/contributing-code/
Comment 2 Lucas Stach 2018-12-07 05:22:59 PST
Created attachment 356805 [details]
Patch
Comment 3 Build Bot 2018-12-07 05:25:02 PST
Attachment 356805 [details] did not pass style-queue:


ERROR: ChangeLog:4:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Philippe Normand 2018-12-07 05:28:43 PST
Comment on attachment 356805 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356805&action=review

> ChangeLog:6
> +        Android and some embedded Linux build systems use arm64 instead of
> +	aarch64 as the CMAKE_HOST_PROCESSOR. Fix JIT build for this scenario.
> +
> +        https://bugs.webkit.org/show_bug.cgi?id=192497

Usually the format is:
"""
bug title as in Bugzilla
Bugzilla link

Explanation of the changes
"""
Comment 5 Don Olmstead 2018-12-18 11:56:49 PST
Created attachment 357593 [details]
Patch

Hi Lucas,

I'm attaching a Changelog that will pass the style checker. As Phillipe mentioned the workflow is explained https://webkit.org/contributing-code for future reference.
Comment 6 Build Bot 2018-12-18 13:45:03 PST
Comment on attachment 357593 [details]
Patch

Attachment 357593 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/10462296

New failing tests:
imported/w3c/web-platform-tests/service-workers/service-worker/register-closed-window.https.html
Comment 7 Build Bot 2018-12-18 13:45:05 PST
Created attachment 357607 [details]
Archive of layout-test-results from ews123 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews123  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 8 Philippe Normand 2018-12-19 00:42:39 PST
Comment on attachment 357593 [details]
Patch

Thanks Dom!
Comment 9 WebKit Commit Bot 2018-12-19 07:37:58 PST
Comment on attachment 357593 [details]
Patch

Clearing flags on attachment: 357593

Committed r239378: <https://trac.webkit.org/changeset/239378>
Comment 10 WebKit Commit Bot 2018-12-19 07:37:59 PST
All reviewed patches have been landed.  Closing bug.